Skip to main content
`Ctrl`+`K`

# PetscObjectViewFn

A prototype of a function that can view a `PetscObject`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PetscObjectViewFn(PetscObject obj, PetscViewer v);

## Calling Sequence

- obj - the `PetscObject` to view

- v - the viewer

## Note

The deprecated `PetscObjectViewFunction` works as a replacement for `PetscObjectViewFn` *.

## See Also

`PetscObject`, `PetscObjectDestroy()`, `PetscViewer`, `PetscObjectView()`

## Level

beginner

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages